import fs from "fs";
export class Remotes {
    path;
    data;
    constructor(path) {
        this.path = path;
        if (fs.existsSync(path)) {
            this.data = JSON.parse(fs.readFileSync(path).toString("utf-8"));
        }
        else {
            this.data = {
                remotes: [],
            };
        }
    }
    save() {
        fs.writeFileSync(this.path, JSON.stringify(this.data));
    }
    getByName(name) {
        return this.data.remotes.find((x) => x.name === name);
    }
    getByAddress(address) {
        return this.data.remotes.find((x) => x.address === address);
    }
    add(name, address, password) {
        const obj = {
            address,
            name,
            password,
        };
        const existing = this.data.remotes.findIndex((x) => x.name === name);
        if (existing >= 0) {
            this.data.remotes[existing] = obj;
        }
        else {
            this.data.remotes.push(obj);
        }
        this.save();
    }
    remove(name) {
        const existing = this.data.remotes.findIndex((x) => x.name === name);
        if (existing >= 0) {
            this.data.remotes.splice(existing, 1);
            return true;
        }
        return false;
    }
    async all() {
        return this.data.remotes;
    }
}
//# sourceMappingURL=remotes.js.map